Retrieve a PDF template
Roles
Analytics Events
/v2/credentials/compact-semantic/pdf/templates/{id}Retrieves an existing Semantic CWT credential PDF template using its ID.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_START
- CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
PDF Template ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/pdf/templates/string"{ "id": "string", "name": "string", "fileName": "string", "fonts": [ { "name": "string", "fileName": "string" } ], "metadata": { "title": "string" }, "fields": [ { "key": "string", "value": "string", "isRequired": true, "alternativeText": "string", "fontName": "string" } ]}How would you rate this page?
Retrieve all PDF templates GET
Retrieves a list of all Semantic CWT credential PDF templates available on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_RETRIEVE_LIST_FAIL
Update a PDF template PUT
Update an existing CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_UPDATE_START * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_UPDATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_UPDATE_FAIL